package ACL2::Orden::Local;
use base ACL2::Orden;

#
#    Orden LOCAL.
#    Copyright (C) 2006-2008 Antonio García Domínguez
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

use strict;
use warnings;
use utf8;

use ACL2::Tags;

sub protegido_extraer_sumario
{
    # NOTA: Local no tiene sumario propio
    return "";
}

sub protegido_inicializar_sexpr
{
    my ($this) = @_;
    # Nada que hacer
}

sub protegido_inicializar_salida
{
    my ($this) = @_;

    my $evento = $this->get_elems_formula->[1];
    $this->{suborden} = ACL2::Orden::Fabrica->crear($evento, ${$this->get_salida}, $this->get_paquete);
}

sub protegido_cabecera
{
    $_[1]->startTag(ACL2::Tags::LOCAL_TAG,
		    "formula" => ${$_[0]->get_lisp});
}

sub protegido_cuerpo
{
    my ($this, $writer) = @_;
    $this->{suborden}->escribir_xml($writer);
}

1;
